net.minecraftforge.common

## Enum ForgeVersion.Status

- java.lang.Object
- - java.lang.Enum<ForgeVersion.Status>
  - - net.minecraftforge.common.ForgeVersion.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ForgeVersion.Status>
  Enclosing class:
    ForgeVersion

      public static enum ForgeVersion.Status
      extends java.lang.Enum<ForgeVersion.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AHEAD`
    `BETA`
    `BETA_OUTDATED`
    `FAILED`
    `OUTDATED`
    `PENDING`
    `UP_TO_DATE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ForgeVersion.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ForgeVersion.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PENDING

          public static final ForgeVersion.Status PENDING

    - #### FAILED

          public static final ForgeVersion.Status FAILED

    - #### UP_TO_DATE

          public static final ForgeVersion.Status UP_TO_DATE

    - #### OUTDATED

          public static final ForgeVersion.Status OUTDATED

    - #### AHEAD

          public static final ForgeVersion.Status AHEAD

    - #### BETA

          public static final ForgeVersion.Status BETA

    - #### BETA_OUTDATED

          public static final ForgeVersion.Status BETA_OUTDATED

  - ### Method Detail

    - #### values

          public static ForgeVersion.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ForgeVersion.Status c : ForgeVersion.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ForgeVersion.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null